Bug 723638 - Backport upstream extensions for lsblk
Backport upstream extensions for lsblk
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-20 14:06 EDT by Milan Broz
Modified: 2013-02-28 23:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:11:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2011-07-20 14:06:01 EDT
Description of problem:

lsblk utility is useful for storage performance tunning and block device diagnostics (it is standard part of RHEL6 sosreport now).

For enterprise multipath devices is important not only check io scheduler parameters for mpath device itself but also for the underlying devices. 

There are new lsblk flags in upstream which allows trivial system observation and problem detection - namely reporting of device state (running, offline, suspended etc.), io scheduler and queue size.

e.g.
# ./lsblk -t -o name,state,type,phy-sec,log-sec,sched,rq-size /dev/sd[if]
NAME            STATE   TYPE  PHY-SEC LOG-SEC SCHED RQ-SIZE
sdf             running disk      512     512 cfq       128
└─mpatha (dm-0) running mpath     512     512 cfq       128
sdi             running disk      512     512 cfq       128
└─mpatha (dm-0) running mpath     512     512 cfq       128

# ./lsblk -t /dev/sd[if]
NAME            ALIGNMENT MIN-IO OPT-IO PHY-SEC LOG-SEC ROTA SCHED RQ-SIZE
sdf                     0    512      0     512     512    1 cfq       128
└─mpatha (dm-0)         0    512      0     512     512    1 cfq       128
sdi                     0    512      0     512     512    1 cfq       128
└─mpatha (dm-0)         0    512      0     512     512    1 cfq       128

If possible, please backport these options to RHEL6.2

Version-Release number of selected component (if applicable):
util-linux-ng-2.17.2-12.el6
Comment 8 errata-xmlrpc 2011-12-06 12:11:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1691.html

Note You need to log in before you can comment on or make changes to this bug.